<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version = '1.0'
	xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

<xsl:template match="/">
<html>
<head/><body>
<xsl:apply-templates/>
<p><xsl:apply-templates select="//section/reference"/></p>
</body></html>
</xsl:template>

<xsl:template match="//section">
<a>
	<xsl:attribute name="name">
		<xsl:value-of select="@topic"/>
	</xsl:attribute>
</a>
<xsl:element name="{@heading}">
	<xsl:value-of select="@topic"/>
</xsl:element>
<!--xsl:apply-templates/-->
<xsl:apply-templates select="section"/>
<xsl:apply-templates select="text"/>
</xsl:template>




<xsl:template match="//forward-reference">
<a>
	<xsl:attribute name="href">
		#<xsl:value-of select="@alt"/>
	</xsl:attribute>
	<xsl:value-of select="@alt"/>
</a>
</xsl:template>

<xsl:template match="//text">
<p>
<xsl:apply-templates/>
<xsl:value-of select="."/>
</p>
</xsl:template>


<xsl:template match="//raw"> <xsl:value-of select="."/> </xsl:template>

<xsl:template match="reference">
	Source:
		<a>
			<xsl:attribute name="href">
				<xsl:value-of select="@location"/>
			</xsl:attribute>
			<xsl:value-of select="@location"/>
		</a>
	<br/>
</xsl:template>

</xsl:stylesheet>
